[arch-commits] Commit in python-elementpath/repos/community-any (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Tue Dec 10 17:31:00 UTC 2019


    Date: Tuesday, December 10, 2019 @ 17:30:59
  Author: felixonmars
Revision: 536533

archrelease: copy trunk to community-any

Added:
  python-elementpath/repos/community-any/PKGBUILD
    (from rev 536532, python-elementpath/trunk/PKGBUILD)
Deleted:
  python-elementpath/repos/community-any/PKGBUILD

----------+
 PKGBUILD |   62 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 31 insertions(+), 31 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-12-10 17:30:51 UTC (rev 536532)
+++ PKGBUILD	2019-12-10 17:30:59 UTC (rev 536533)
@@ -1,31 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-
-pkgname=python-elementpath
-pkgver=1.3.1
-pkgrel=3
-pkgdesc="XPath 1.0/2.0 parsers and selectors for ElementTree and lxml"
-url="https://github.com/sissaschool/elementpath"
-license=('MIT')
-arch=('any')
-depends=('python')
-makedepends=('python-setuptools')
-checkdepends=('python-pytest-runner' 'python-xmlschema')
-source=("$pkgname-$pkgver.tar.gz::https://github.com/sissaschool/elementpath/archive/v$pkgver.tar.gz")
-sha512sums=('14688c0c5f77f1ed236f8f97a72770ee5536b4060e4de273a5d74006a6f48ee4ee0662dc9607b1685cefdc4d439ee60aa0f18f60ea18e8d525f319558148ec71')
-
-build() {
-  cd elementpath-$pkgver
-  python setup.py build
-}
-
-check() {
-  cd elementpath-$pkgver
-  python setup.py pytest || warning "missing it_IT locale for testing"
-}
-
-package() {
-  cd elementpath-$pkgver
-  python setup.py install --root="$pkgdir" --optimize=1
-
-  install -Dm644 LICENSE -t "$pkgdir"/usr/share/licenses/$pkgname/
-}

Copied: python-elementpath/repos/community-any/PKGBUILD (from rev 536532, python-elementpath/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-12-10 17:30:59 UTC (rev 536533)
@@ -0,0 +1,31 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=python-elementpath
+pkgver=1.3.2
+pkgrel=1
+pkgdesc="XPath 1.0/2.0 parsers and selectors for ElementTree and lxml"
+url="https://github.com/sissaschool/elementpath"
+license=('MIT')
+arch=('any')
+depends=('python')
+makedepends=('python-setuptools')
+checkdepends=('python-pytest-runner' 'python-xmlschema')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/sissaschool/elementpath/archive/v$pkgver.tar.gz")
+sha512sums=('5508ed0da577a5957628b93e0f0f46e0ca3cb29b577e505299d6c0dfd6a53a00b8cedb8f3228d249561f0440486a28be241af9fee3498861626efe0026f92752')
+
+build() {
+  cd elementpath-$pkgver
+  python setup.py build
+}
+
+check() {
+  cd elementpath-$pkgver
+  python setup.py pytest || warning "missing it_IT locale for testing"
+}
+
+package() {
+  cd elementpath-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+
+  install -Dm644 LICENSE -t "$pkgdir"/usr/share/licenses/$pkgname/
+}


More information about the arch-commits mailing list